Bug 117808

Summary: editors/OpenOffice.org-2 seems to be looping
Product: Ports & Packages Reporter: Ludger Bolmerg <lbolmerg>
Component: Individual Port(s)Assignee: freebsd-openoffice (Nobody) <openoffice>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Ludger Bolmerg 2007-11-04 10:20:00 UTC
OpenOffice 2.3.0 was installed from ports with

make -DWITH_CUPS -DWITH_KDE -DWITH_SYSTEM_FREETYPE LOCALIZED_LANG=de install clean

when opening an existing .odg file OpenOffice seems to be looping

backtrace from gdb:

#0  0x290034f7 in pthread_testcancel () from /lib/libpthread.so.2
#1  0x28ffc80f in pthread_mutexattr_init () from /lib/libpthread.so.2
#2  0x28fff70c in pthread_setconcurrency () from /lib/libpthread.so.2
#3  0x28ffc12f in pthread_mutexattr_init () from /lib/libpthread.so.2
#4  0x2900106d in _pthread_cond_timedwait () from /lib/libpthread.so.2
#5  0x290015c2 in pthread_cond_timedwait () from /lib/libpthread.so.2
#6  0x28a8a914 in rtl_cache_create ()
   from /usr/local/openoffice.org-2.3.0/program/libuno_sal.so.3
#7  0x28ff43a5 in pthread_create () from /lib/libpthread.so.2
#8  0x290b1137 in _ctx_start () from /lib/libc.so.6

How-To-Repeat: install OpenOffice and try to open a file.  I re-installed OpenOffice with no success
Comment 1 Edwin Groothuis freebsd_committer 2007-11-04 22:47:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Marcin Cieslak 2008-04-01 02:56:21 UTC
Can you try adding "--with-system-zlib" to the Makefile CONFIGURE_ARGS?

Something like this:

RCS file: /usr/home/ncvs/ports/editors/openoffice.org-2/Makefile,v
retrieving revision 1.295
diff -u -u -r1.295 Makefile
--- Makefile    28 Mar 2008 22:26:03 -0000      1.295
+++ Makefile    31 Mar 2008 23:34:46 -0000
@@ -140,7 +140,8 @@
 CONFIGURE_ARGS+=       --with-gnu-cp=${LOCALBASE}/bin/gcp             \
                        --with-gnu-patch=${LOCALBASE}/bin/gpatch       \
                        --enable-crashdump=yes                         \
-                       --enable-symbols=SMALL
+                       --enable-symbols=TRUE                          \
+                       --with-system-zlib
 .if ${ARCH} == amd64
 WITHOUT_MOZILLA=       yes
 LIB_DEPENDS+=          boost_regex:${PORTSDIR}/devel/boost

-- 
              << Marcin Cieslak // saper@system.pl >>
Comment 3 Martin Wilke freebsd_committer 2009-05-30 23:58:39 UTC
State Changed
From-To: open->closed

was added few months ago.